
Redmine - Defect #7579

Gantt tab gives internal error.

2011-02-08 23:50 - Bryan Johnson

Status: Closed Start date: 2011-02-08

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Gantt Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version: 1.1.1

Description

I apologize, but I'm relatively new to RoR, and decided to move forward with a stable version of Redmine with a preconfigured

environment. I selected BitNami RubyStack and installed Redmine as a module.

Everything was working great until I tried to make a filter change inside the Issues area. *note I've entered over 700 issues without

problems. Then, the Gantt tab stopped working and reports an redMine500 Error. (see log results).

ENVIRONMENT COMPONENTS:

BitNami Redmine Stack ships with the following software versions:

- Redmine 1.1.1

- Apache 2.2.17

- ImageMagick 6.5.8

- MySQL 5.1.50

- Subversion 1.6.12

- Ruby 1.8.7-p249

- Rails 2.3.9

- RubyGems 1.3.7

PRODUCTION LOG - REPORT

...

Processing GanttsController#show (for 127.0.0.1 at 2011-02-08 14:03:39) [GET]

Parameters: {"project_id"=>"iris", "action"=>"show", "controller"=>"gantts"}

Rendering template within layouts/base

Rendering gantts/show

ActionView::TemplateError (comparison of Issue with Issue failed) on line #63 of app/views/gantts/show.html.erb:

60: # Width of the entire chart

61: g_width = (@gantt.date_to - @gantt.date_from + 1)*zoom

62:

63: @gantt.render(:top => headers_height + 8, :zoom => zoom, :g_width => g_width)

64:

65: g_height = [(20 * (@gantt.number_of_rows + 6))+150, 206].max

66: t_height = g_height + headers_height

lib/redmine/helpers/gantt.rb:676:in `sort!'

    lib/redmine/helpers/gantt.rb:676:in `sort_issues!'

    lib/redmine/helpers/gantt.rb:248:in `render_version'

    lib/redmine/helpers/gantt.rb:203:in `render_project'

    lib/redmine/helpers/gantt.rb:202:in `each'

    lib/redmine/helpers/gantt.rb:202:in `render_project'

    lib/redmine/helpers/gantt.rb:166:in `render'

    app/views/gantts/show.html.erb:63

    app/controllers/gantts_controller.rb:26

    app/controllers/gantts_controller.rb:25:in `show'

 Rendering rescues/layout (internal_server_error)

...

Related issues:

Related to Redmine - Defect #7335: Sorting issues in gantt by date, not by id Closed 2011-01-15
https://www.redmine.org/issues/63


History

#1 - 2011-02-08 23:57 - Etienne Massip

Could you try with Rails 2.3.5 ?

#2 - 2011-06-08 11:21 - Francisco Almeida

Any update on this issue? I am having the same problem after upgrading to 1.2 (stable):

ActionView::TemplateError (comparison of Issue with Issue failed) on line #54 of app/views/gantts/show.html.erb:

51: # Width of the entire chart

52: g_width = (@gantt.date_to - @gantt.date_from + 1)*zoom

53:

54: @gantt.render(:top => headers_height + 8, :zoom => zoom, :g_width => g_width, :subject_width => subject_width)

55:

56: g_height = [(20 * (@gantt.number_of_rows + 6))+150, 206].max

57: t_height = g_height + headers_height

Etienne Massip wrote:

Could you try with Rails 2.3.5 ?

#3 - 2011-06-08 17:41 - Etienne Massip

Please give additional info according to SubmittingBugs.

#4 - 2011-06-10 10:52 - Etienne Massip

- Affected version (unused) set to 1.1.1

- Affected version set to 1.1.1

#5 - 2011-08-12 12:31 - Gerald Prock

I have the same Problem but only with one of thirty active projects.

The Server is a Suse 11.4 with the current BitNami Stack:

Redmine 1.2.1 (2011-07-11)

Database: MySQL 5.1.56 for pc-linux-gnu on i686 (MySQL Community Server (GPL))

Ruby: ruby 1.8.7 (2011-02-18 patchlevel 334) [i686-linux]

Rails: 2.3.11

When i open the Gantt Chart i get the following Error:

------------------------------------------------------------------

Processing GanttsController#show (for 81.223.151.146 at 2011-08-12 11:13:22) [GET]

Parameters: {"project_id"=>"newproductsuntory", "action"=>"show", "controller"=>"gantts"}

Rendering template within layouts/base

Rendering gantts/show

ActionView::TemplateError (comparison of Issue with Issue failed) on line #54 of app/views/gantts/show.html.erb:

51: # Width of the entire chart

52: g_width = (@gantt.date_to - @gantt.date_from + 1)*zoom

53:

54: @gantt.render(:top => headers_height + 8, :zoom => zoom, :g_width => g_width, :subject_width => subject_width)

55:

56: g_height = [(20 * (@gantt.number_of_rows + 6))+150, 206].max

57: t_height = g_height + headers_height

lib/redmine/helpers/gantt.rb:673:in `sort!'

    lib/redmine/helpers/gantt.rb:673:in `sort_issues!'

    lib/redmine/helpers/gantt.rb:204:in `render_project'

    lib/redmine/helpers/gantt.rb:184:in `render'

    app/models/project.rb:664:in `project_tree'

    app/models/project.rb:660:in `each'

    app/models/project.rb:660:in `project_tree'

    lib/redmine/helpers/gantt.rb:182:in `render'

    app/views/gantts/show.html.erb:54

    app/controllers/gantts_controller.rb:43:in `show'

    app/controllers/gantts_controller.rb:42:in `show'

    config/initializers/mongrel_cluster_with_rails_211_fix.rb:62:in `dispatch_cgi'

 Rendering /opt/redmine/apps/redmine/public/500.html (500 Internal Server Error)

------------------------------------------------------------------
https://www.redmine.org/issues/54
https://www.redmine.org/projects/redmine/wiki/SubmittingBugs
https://www.redmine.org/issues/54


Wen i open the Issue Chart i get the following Error:

------------------------------------------------------------------

Processing IssuesController#index (for 81.223.151.146 at 2011-08-12 11:13:16) [GET]

Parameters: {"project_id"=>"newproductsuntory", "set_filter"=>"1", "action"=>"index", "tracker_id"=>"1", "controller"=>"issues"}

Rendering template within layouts/base

Rendering issues/index.rhtml

ActionView::TemplateError (undefined method `-' for nil:NilClass) on line #28 of app/views/issues/_list.rhtml:

25:             </tr>

26:             <% previous_group = group >

27:   < end >

28:     <tr id="issue-<= issue.id >" class="hascontextmenu <= cycle('odd', 'even') > <= issue.css_classes > <= level > 0 ? "idnt idnt-#{level}" : nil >">

29:       <td class="checkbox hide-when-print"><= check_box_tag("ids[]", issue.id, false, :id => nil) ></td>

30:             <td class="id"><= link_to issue.id, :controller => 'issues', :action => 'show', :id => issue ></td>

31:         < query.columns.each do |column| ><= content_tag 'td', column_content(column, issue), :class => column.css_classes >< end %>

app/models/issue.rb:578:in `css_classes'

    app/views/issues/_list.rhtml:28:in `_run_rhtml_app47views47issues47_list46rhtml_locals_issues_list_object_

query'

    app/helpers/issues_helper.rb:27:in `issue_list'

    app/helpers/issues_helper.rb:23:in `each'

    app/helpers/issues_helper.rb:23:in `issue_list'

    app/views/issues/_list.rhtml:16:in `_run_rhtml_app47views47issues47_list46rhtml_locals_issues_list_object_

query'

    app/views/issues/_list.rhtml:1:in `_run_rhtml_app47views47issues47_list46rhtml_locals_issues_list_object_q

uery'

    app/views/issues/index.rhtml:51:in `_run_rhtml_app47views47issues47index46rhtml'

    app/controllers/issues_controller.rb:92:in `index'

    app/controllers/issues_controller.rb:91:in `index'

    config/initializers/mongrel_cluster_with_rails_211_fix.rb:62:in `dispatch_cgi'

 Rendering /opt/redmine/apps/redmine/public/500.html (500 Internal Server Error)

------------------------------------------------------------------

The interesting point is, that this error appears only on one project. But i can't access any issue in this project over the menue and i don't have a

number to try direct access.

Would be great if anybody have a idea how to solve this problem.

#6 - 2013-07-02 07:16 - Leonard Lin

I would like to ask if there has been any update on this issue.

I experience the same problem.

I have 2 projects. On one of them I can't open the gant chart anymore.

ActionView::Template::Error (comparison of Issue with Issue failed):

89:

90:   # Width of the entire chart

91:   g_width = ((@gantt.date_to - @gantt.date_from + 1) * zoom).to_i

92:   @gantt.render(:top => headers_height + 8,

93:                 :zoom => zoom,

94:                 :g_width => g_width,

95:                 :subject_width => subject_width)

lib/redmine/helpers/gantt.rb:680:in `sort_issues!'

lib/redmine/helpers/gantt.rb:217:in `render_project'

lib/redmine/helpers/gantt.rb:201:in `render'

app/models/project.rb:733:in `project_tree'

app/models/project.rb:729:in `project_tree'

lib/redmine/helpers/gantt.rb:199:in `render'

app/views/gantts/show.html.erb:92:in `_app_views_gantts_show_html_erb___1765542175_10372'

app/controllers/gantts_controller.rb:43:in `show'

app/controllers/gantts_controller.rb:42:in `show'

my setup is:

redmine-2.3.1

jruby-1.7.4

rubygems-2.0.3

centos 6.4-64bit

Oracle JDK 1.7.0_25 64bit

#7 - 2013-07-02 08:31 - Toshi MARUYAMA

- Related to Defect #7335: Sorting issues in gantt by date, not by id added

#8 - 2013-07-02 08:38 - Toshi MARUYAMA
https://www.redmine.org/issues/28


- Status changed from New to Closed

- Resolution set to Wont fix

This issues is probably caused by inconsistent data in your issues table.

Please see

https://www.chiliproject.org/issues/787#note-3

Gantt sort was rewritten in #7335.
